---
title: getMaxShredInsertSlot
hideTableOfContents: true
h1: getMaxShredInsertSlot RPC Method
---

Get the max slot seen from after shred insert.

<DocSideBySide>

<DocLeftSide>

### Parameters

**None**

### Result

`<u64>` - Slot number

</DocLeftSide>

<DocRightSide>

### Code sample

```shell
curl https://api.devnet.solana.com -s -X POST -H "Content-Type: application/json" -d '
  {"jsonrpc":"2.0","id":1, "method":"getMaxShredInsertSlot"}
'
```

### Response

```json
{ "jsonrpc": "2.0", "result": 1234, "id": 1 }
```

</DocRightSide>
</DocSideBySide>
